Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogicx.jsp.tags
Class BeanParamGenerator

    java.lang.Object
      weblogic.utils.compiler.CodeGenerator
          weblogicx.jsp.tags.BeanParamGenerator

All Implemented Interfaces:
  weblogic.utils.PlatformConstants

    public class BeanParamGenerator

extends weblogic.utils.compiler.CodeGenerator

Nested Class Summary

Nested classes/interfaces inherited from class weblogic.utils.compiler.CodeGenerator
`weblogic.utils.compiler.CodeGenerator.Output`

Field Summary

Fields inherited from class weblogic.utils.compiler.CodeGenerator
`CheckValidChar, compilerFactory, NON_WORD_CHARS, targetDirectory, verboseCodegen`

Fields inherited from interface weblogic.utils.PlatformConstants
`EOL, FILE_SEP, PATH_SEP`

Constructor Summary
`BeanParamGenerator(weblogic.utils.Getopt2 opts)`

Method Summary
`String` | `allArrayPropSetters()`
`String` | `arrayComponentTypeLoop()`
`String` | `beanFillerCode()`
`String` | `checkDefaultConstructorBlock()`
`String` | `classBody()`
`String` | `currentBeanGetterLoop()`
`String` | `currentBeanSetterLoop()`
`String` | `currentBeanType()`
`String` | `generated_class_name()`
`String` | `get_method_name()`
`static void` | `main(String[] a)`
`protected PrintWriter` | `makeOutputStream(File f)`
`Enumeration` | `outputs(Object[] inputs)`
`String` | `packageStatement()`
`String` | `publicGetLoop()`
`String` | `publicSetLoop()`
`String` | `set_method_name()`
`String` | `type()`
`String` | `typeArrayAdd()`
`String` | `typeArrayAddMethods()`
`String` | `typeArrayDelete()`
`String` | `typeArrayDeleteMethods()`
`String` | `typeArrayShift()`
`String` | `typeArrayShiftMethods()`

Methods inherited from class weblogic.utils.compiler.CodeGenerator
`argumentLookup, baseConversion, buildString, classLookup, cleanup, date, ensureDir, exceptions, exceptions, expandArrayClass, extractOptionValues, generate, generate, generate, generate, generateCode, generator, get_component_type, getCompilerFactory, getFileChars, getProductionRule, getRootDirectoryName, getRuleName, installResource, is_primitive_array, javaCodeForType, lookupConvert, makeIndentingOutputStream, makeWriter, outputs, parameters, parse, parse, prepare, primitive_type_array, primitive_type, processProductionRules, processTemplate, processTemplate, readLookup, rootDirectory, setCompilerFactory, setEncoding, setRootDirectoryName, setTargetDirectory, targetFile, time, timeAndDate, type_array, writeLookup, year`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanParamGenerator

    public BeanParamGenerator(weblogic.utils.Getopt2 opts)

Method Detail

### makeOutputStream

    protected PrintWriter makeOutputStream(File f)
                                    throws IOException

  Overrides:
    `makeOutputStream` in class `weblogic.utils.compiler.CodeGenerator`
  Throws:
    `IOException`

### checkDefaultConstructorBlock

    public String checkDefaultConstructorBlock()
                                        throws Exception

  Throws:
    `Exception`

### outputs

    public Enumeration outputs(Object[] inputs)
                        throws IOException,
                               weblogic.utils.ParsingException

  Overrides:
    `outputs` in class `weblogic.utils.compiler.CodeGenerator`
  Throws:
    `IOException`
    `weblogic.utils.ParsingException`

### typeArrayAddMethods

    public String typeArrayAddMethods()
                               throws Exception

  Throws:
    `Exception`

### typeArrayAdd

    public String typeArrayAdd()

### typeArrayShiftMethods

    public String typeArrayShiftMethods()
                                 throws Exception

  Throws:
    `Exception`

### typeArrayShift

    public String typeArrayShift()

### typeArrayDeleteMethods

    public String typeArrayDeleteMethods()
                                  throws Exception

  Throws:
    `Exception`

### typeArrayDelete

    public String typeArrayDelete()

### type

    public String type()

### publicGetLoop

    public String publicGetLoop()
                         throws Exception

  Throws:
    `Exception`

### publicSetLoop

    public String publicSetLoop()
                         throws Exception

  Throws:
    `Exception`

### currentBeanSetterLoop

    public String currentBeanSetterLoop()
                                 throws Exception

  Throws:
    `Exception`

### currentBeanGetterLoop

    public String currentBeanGetterLoop()
                                 throws Exception

  Throws:
    `Exception`

### get_method_name

    public String get_method_name()

### arrayComponentTypeLoop

    public String arrayComponentTypeLoop()
                                  throws Exception

  Throws:
    `Exception`

### beanFillerCode

    public String beanFillerCode()
                          throws Exception

  Throws:
    `Exception`

### allArrayPropSetters

    public String allArrayPropSetters()
                               throws Exception

  Throws:
    `Exception`

### set_method_name

    public String set_method_name()

### currentBeanType

    public String currentBeanType()

### packageStatement

    public String packageStatement()

### generated_class_name

    public String generated_class_name()

### classBody

    public String classBody()
                     throws Exception

  Throws:
    `Exception`

### main

    public static void main(String[] a)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD